Blame SOURCES/0454-url-lib-ca-bundle.crt-changed-to-a-symlink.patch

a0a3b4
From 1b23c6c65c39630cb62faa2503817759f83d880b Mon Sep 17 00:00:00 2001
a0a3b4
From: Harald Hoyer <harald@redhat.com>
a0a3b4
Date: Wed, 17 Aug 2016 16:41:21 +0200
a0a3b4
Subject: [PATCH] url-lib: ca-bundle.crt changed to a symlink
a0a3b4
a0a3b4
use inst() instead of inst_simple()
a0a3b4
a0a3b4
/etc/pki/tls/certs/ca-bundle.crt is a symlink to
a0a3b4
../../ca-trust/extracted/pem/tls-ca-bundle.pem
a0a3b4
a0a3b4
with inst() we install the original file also.
a0a3b4
a0a3b4
https://bugzilla.redhat.com/show_bug.cgi?id=1341280
a0a3b4
---
a0a3b4
 modules.d/45url-lib/module-setup.sh | 2 +-
a0a3b4
 1 file changed, 1 insertion(+), 1 deletion(-)
a0a3b4
a0a3b4
diff --git a/modules.d/45url-lib/module-setup.sh b/modules.d/45url-lib/module-setup.sh
a0a3b4
index f2d068b..6a2bb83 100755
a0a3b4
--- a/modules.d/45url-lib/module-setup.sh
a0a3b4
+++ b/modules.d/45url-lib/module-setup.sh
a0a3b4
@@ -28,7 +28,7 @@ install() {
a0a3b4
             _crt=$(grep -F --binary-files=text -z .crt $_lib)
a0a3b4
             [[ $_crt ]] || continue
a0a3b4
             [[ $_crt == /*/* ]] || continue
a0a3b4
-            if ! inst_simple "$_crt"; then
a0a3b4
+            if ! inst "$_crt"; then
a0a3b4
                 dwarn "Couldn't install '$_crt' SSL CA cert bundle; HTTPS might not work."
a0a3b4
                 continue
a0a3b4
             fi